WordPress Development Stack Exchange is a question and answer site for WordPress developers and administrators. Join them; it only takes a minute:

Sign up
Here's how it works:
  1. Anybody can ask a question
  2. Anybody can answer
  3. The best answers are voted up and rise to the top

I installed bbpress with the latest wordpress version 3.8 and I receive an error:

Notice: bbp_setup_current_user was called incorrectly. The current user is being initialized without using $wp->init(). Please see Debugging in WordPress for more information. (This message was added in version 2.3.) in /public_html/wp-includes/functions.php on line 3049

What does mean?

Thanks

share|improve this question

closed as off-topic by Mark Kaplun, birgire, ialocin, Howdy_McGee, Pieter Goosen Nov 24 '15 at 17:45

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Questions that are too localized (such as syntax errors, code with restricted access, hacked sites, hosting or support issues) are not in scope. See how do I ask a good question?" – Mark Kaplun, birgire, Howdy_McGee, Pieter Goosen
If this question can be reworded to fit the rules in the help center, please edit the question.

1  
See bbPress issue: bbpress.trac.wordpress.org/ticket/2412 Further details: core.trac.wordpress.org/ticket/24169 – netweb Jan 9 '14 at 22:44

I was getting this error when I enabled the WebsiteDefender WordPress Security plugin

Disabling/removing this plugin solved this issue for me. That plugin calls methods like acxUtil::hideWpVersionBackend( ) without going through the WordPress add_action() which seems to be causing the issue.

share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.